# ChangeLog for sys-process/procps
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-process/procps/ChangeLog,v 1.15 2006/03/25 12:52:28 blubb Exp $

  25 Mar 2006; Simon Stelling <blubb@gentoo.org> procps-3.2.6.ebuild:
  always use KERNEL_ABI; bug 124772

  10 Mar 2006; Fernando J. Pereda <ferdy@gentoo.org> procps-3.2.6.ebuild:
  Stable on alpha wrt bug #125546

  10 Mar 2006; Markus Rothe <corsair@gentoo.org> procps-3.2.6.ebuild:
  Stable on ppc64; bug #125546

  10 Mar 2006; <nixnut@gentoo.org> procps-3.2.6.ebuild:
  Stable on ppc. Bug #125546

  10 Mar 2006; Torsten Veller <tove@gentoo.org> procps-3.2.6.ebuild:
  Stable on x86 (#125546).

  09 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org> procps-3.2.6.ebuild:
  Stable on sparc wrt #125546

  09 Mar 2006; Patrick McLean <chutzpah@gentoo.org> procps-3.2.6.ebuild:
  Stable on amd64 (bug #125546)

*procps-3.2.6 (22 Dec 2005)

  22 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  +files/procps-3.2.6-mips-n32_isnt_usable_on_mips64_yet.patch,
  +procps-3.2.6.ebuild:
  Version bump.

  17 Jul 2005; Tobias Scherbaum <dertobi123@gentoo.org>
  procps-3.2.5-r1.ebuild:
  ppc stable

  28 Jun 2005; Joshua Kinard <kumba@gentoo.org> procps-3.2.5-r1.ebuild:
  Marked stable on mips.

  12 Jun 2005; Bryan Østergaard <kloeri@gentoo.org> procps-3.2.5-r1.ebuild:
  Stable on alpha.

  06 Jun 2005; Markus Rothe <corsair@gentoo.org> procps-3.2.5-r1.ebuild:
  Stable on ppc64

  20 May 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  procps-3.2.5-r1.ebuild:
  Stable on sparc

*procps-3.2.4-r3 (03 Mar 2005)

  03 Mar 2005; Ciaran McCreesh <ciaranm@gentoo.org> +metadata.xml,
  +files/3.2.4-64bit-display.patch, +files/3.2.4-linux26-slab.patch,
  +files/3.2.5-top-sort.patch, +files/procps-3.2.5-proc-mount.patch,
  +files/procps-mips-define-pagesize.patch,
  +files/procps-mips-n32_isnt_usable_on_mips64_yet.patch,
  +procps-3.2.3-r1.ebuild, +procps-3.2.4-r2.ebuild, +procps-3.2.4-r3.ebuild,
  +procps-3.2.5-r1.ebuild, +procps-3.2.5.ebuild:
  Moved from sys-apps/procps to sys-process/procps.

*procps-3.2.4-r3 (27 Feb 2005)

  27 Feb 2005; Joshua Kinard <kumba@gentoo.org>
  +files/procps-mips-n32_isnt_usable_on_mips64_yet.patch,
  procps-3.2.4-r2.ebuild, +procps-3.2.4-r3.ebuild, +procps-3.2.5-r1.ebuild,
  procps-3.2.5.ebuild:
  Added a patch to disable a check in proc/procps.h for n32 ABI on mips64
  systems. This check set KLONG=8, and broke several mips64 systems running o32
  userland. This is needed until n32 userland becomes a fully-functional
  userland replacement for o32. Those on the n32 profile won't have this patch
  applied. Revbumped to force an upgrade on affected mips systems.

*procps-3.2.5 (01 Feb 2005)

  01 Feb 2005; Mike Frysinger <vapier@gentoo.org> +files/3.2.5-top-sort.patch,
  +procps-3.2.5.ebuild:
  Version bump with patch to fix sorted top display #80296 by Andreas Kling.

*procps-3.2.4-r2 (26 Jan 2005)

  26 Jan 2005; Mike Frysinger <vapier@gentoo.org> :
  Add patch to fix display on 64bit systems. Also make sure we dont
  pointlessly run ldconfig.

  18 Jan 2005; Joshua Kinard <kumba@gentoo.org> procps-3.2.4-r1.ebuild:
  Marked stable on mips.

*procps-3.2.4-r1 (12 Jan 2005)

  12 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/3.2.4-linux26-slab.patch, +procps-3.2.4-r1.ebuild,
  -procps-3.2.4.ebuild:
  Add patch from upstream to fix newer slab version #77301 by regala.

  10 Jan 2005; Gustavo Zacarias <gustavoz@gentoo.org> procps-3.2.4.ebuild:
  Stable on sparc

  02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  08 Dec 2004; Daniel Black <dragonheart@gentoo.org> procps-3.2.4.ebuild:
  ppc stable to fix bug #73239

  05 Nov 2004; Luca Barbato <lu_zero@gentoo.org> procps-3.2.4.ebuild:
  Removing -m64 on ppc

*procps-3.2.4 (04 Nov 2004)

  04 Nov 2004; Brandon Low <lostlogic@gentoo.org> +procps-3.2.4.ebuild:
  New unstable version, adds utf-8 support and other bugs and stuff

  20 Oct 2004; Chris Bainbridge <chrb@gentoo.org> procps-3.2.3-r1.ebuild:
  fix compile error when $NAME is set

  06 Oct 2004; Guy Martin <gmsoft@gentoo.org> procps-3.2.3-r1.ebuild:
  Stable on hppa.

  02 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> procps-3.2.3-r1.ebuild:
  Stable on alpha.

  27 Sep 2004; Danny van Dyk <kugelfang@gentoo.org> procps-3.2.3-r1.ebuild:
  Marked stable on amd64.

  25 Sep 2004; Joshua Kinard <kumba@gentoo.org> procps-3.2.3-r1.ebuild:
  Marked stable on mips.

  16 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> procps-3.2.3-r1.ebuild:
  Stable on sparc

  15 Sep 2004; Brandon Low <lostlogic@gentoo.org> procps-3.2.3-r1.ebuild:
  No outstanding procps bugs, moving to stable

  15 Sep 2004; Robin H. Johnson <robbat2@gentoo.org> procps-3.2.3-r1.ebuild:
  Make this compile with GCC3.4.

  14 Sep 2004; Brandon Low <lostlogic@gentoo.org>
  -files/procps-3.1.11-multipids.patch, -files/procps-3.1.12-selinux.diff.bz2,
  -procps-3.1.12-r1.ebuild, -procps-3.1.13-r1.ebuild:
  Clean up a bit

*procps-3.2.3-r1 (14 Sep 2004)

  14 Sep 2004; Brandon Low <lostlogic@gentoo.org> +procps-3.2.3-r1.ebuild:
  Add the include files to the installation

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  procps-3.1.12-r1.ebuild, procps-3.2.0.ebuild, procps-3.2.1.ebuild,
  procps-3.2.2-r1.ebuild, procps-3.2.3.ebuild:
  Masked procps-3.2.3.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  procps-3.1.12-r1.ebuild, procps-3.2.0.ebuild, procps-3.2.1.ebuild,
  procps-3.2.2-r1.ebuild:
  Masked procps-3.2.2-r1.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  procps-3.1.12-r1.ebuild, procps-3.2.0.ebuild, procps-3.2.1.ebuild:
  Masked procps-3.2.1.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  procps-3.1.12-r1.ebuild, procps-3.2.0.ebuild:
  Masked procps-3.2.0.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  procps-3.1.12-r1.ebuild:
  Masked procps-3.1.12-r1.ebuild stable for ppc

  20 Aug 2004; Joshua Kinard <kumba@gentoo.org>
  files/procps-mips-define-pagesize.patch:
  Found an instance of PAGE_SIZE being defined in minimal.c to a set value if it
  wasn't previously defined in asm/page.h; changed to use sysconf() to fetch the
  size if not defined instead.

  18 Aug 2004; Aron Griffis <agriffis@gentoo.org> procps-3.2.2-r1.ebuild:
  stable on alpha and ia64

  17 Aug 2004; Joshua Kinard <kumba@gentoo.org>
  files/procps-mips-define-pagesize.patch:
  Tweak patch to add #ifndef lines.

  13 Aug 2004; Brandon Low <lostlogic@gentoo.org> procps-3.2.3.ebuild:
  Make the sysctl.conf a doc not an /etc file

  12 Aug 2004; Joshua Kinard <kumba@gentoo.org>
  +files/procps-mips-define-pagesize.patch, procps-3.2.2-r1.ebuild,
  procps-3.2.3.ebuild:
  Added patch for mips that sets the value of PAGE_SIZE via a call to sysconf
  due to changes in mips-headers.

*procps-3.2.3 (10 Aug 2004)

  10 Aug 2004; Brandon Low <lostlogic@gentoo.org> +procps-3.2.3.ebuild:
  Some ebuild fixed, thanks _very much_ to Albert Cahalan <albert@users.sf.net>
  who maintains procps for taking the time to read our ebuild and give me info
  on what needed fixing. Hopefully this will be an improvement for our users.

*procps-3.2.2-r1 (21 Jul 2004)

  21 Jul 2004; Brandon Low <lostlogic@gentoo.org>
  -files/procps-3.2.2-selinux-E.diff, -procps-3.2.2.ebuild:
  Turns out that the new -Z option is the same as the old -Z patch option, so
  removing the new -E option.

*procps-3.2.2 (20 Jul 2004)

  20 Jul 2004; Brandon Low <lostlogic@gentoo.org>
  +files/procps-3.2.2-selinux-E.diff, +procps-3.2.2.ebuild:
  Bump, and I had to change the SELinux -Z option to -E for ps because -Z was
  taken. Hopefully this works for you SELinux people, otherwise mask it out or
  something

  05 Jun 2004; Travis Tilley <lv@gentoo.org> procps-3.2.1.ebuild:
  stable on amd64

  27 May 2004; Aron Griffis <agriffis@gentoo.org> procps-3.2.1.ebuild:
  Stable on alpha and ia64

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> procps-3.1.12-r1.ebuild,
  procps-3.1.15.ebuild:
  Add inherit eutils

  09 Apr 2004; Travis Tilley <lv@gentoo.org> procps-3.1.15.ebuild:
  stable on amd64

  02 Apr 2004; Brian Jackson <iggy@gentoo.org> procps-3.2.0.ebuild,
  procps-3.2.1.ebuild:
  add s390 to keywords

  30 Mar 2004; Chris PeBenito <pebenito@gentoo.org> procps-3.2.1.ebuild:
  Add back the SELinux -Z patch.

*procps-3.2.1 (30 Mar 2004)

  30 Mar 2004; Martin Holzer <mholzer@gentoo.org> procps-3.2.1.ebuild:
  Version bumped.

  21 Mar 2004; Mike Frysinger <vapier@gentoo.org> :
  Add custom LDFLAGS to the makefile as well as remove the --strip from
  the install command (let portage handle that).  Also, dont install COPYING
  files since they're just $LICENSE.

  09 Mar 2004; <agriffis@gentoo.org> procps-3.1.15.ebuild:
  stable on alpha and ia64

  07 Mar 2004; Joshua Kinard <kumba@gentoo.org> procps-2.0.16-r1.ebuild,
  procps-3.1.13-r1.ebuild, procps-3.1.15.ebuild:
  Marked stable on mips, copyright header fixes.

  24 Feb 2004; Chris PeBenito <pebenito@gentoo.org> procps-3.2.0.ebuild,
  files/procps-3.2.0-selinux-Z.diff:
  Add patch for -Z ps option for SELinux.

*procps-3.2.0 (23 Feb 2004)

  23 Feb 2004; Brandon Low <lostlogic@gentoo.org> procps-3.2.0.ebuild:
  Bump

  09 Feb 2004; <gustavoz@gentoo.org> procps-3.1.15.ebuild:
  stable on sparc

  08 Feb 2004; Mike Frysinger <vapier@gentoo.org> procps-3.1.12-r1.ebuild 
  procps-3.1.13-r1.ebuild procps-3.1.15.ebuild :
  Prune out gettext DEPEND #39040.

  06 Feb 2004; Martin Schlemmer <azarah@gentoo.org> procps-3.1.15.ebuild:
  Bump to stable for x86.

  03 Feb 2004; Bartosch Pixa <darkspecter@gentoo.org> procps-3.1.15.ebuild:
  set ppc in keywords

  28 Jan 2004; Aron Griffis <agriffis@gentoo.org> procps-3.1.12-r1.ebuild:
  stable on alpha and ia64

  15 Jan 2004; Jon Portnoy <avenj@gentoo.org> procps-3.1.12-r1.ebuild :
  Stable on AMD64.

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> procps-3.1.12-r1.ebuild:
  Move to mips stable (~mips -> mips)

  24 Dec 2003; Chris PeBenito <pebenito@gentoo.org> procps-3.1.15.ebuild,
  files/procps-3.1.15-fix_attr.diff:
  Add patch to make SELinux contexts work on 2.4 kernels, not just 2.6.

*procps-3.1.15 (24 Dec 2003)

  24 Dec 2003; Martin Holzer <mholzer@gentoo.org> procps-3.1.15.ebuild:
  Version bumped.

  20 Dec 2003; Christian Birchinger <joker@gentoo.org>
  procps-3.1.12-r1.ebuild:
  Added sparc stable keyword

*procps-3.1.14-r1 (08 Dec 2003)
*procps-3.1.13-r1 (08 Dec 2003)
*procps-3.1.12-r1 (08 Dec 2003)

  08 Dec 2003; Seemant Kulleen <seemant@gentoo.org> procps-2.0.16-r1.ebuild,
  procps-2.0.16.ebuild, procps-3.1.12-r1.ebuild, procps-3.1.12.ebuild,
  procps-3.1.13-r1.ebuild, procps-3.1.13.ebuild, procps-3.1.14-r1.ebuild,
  procps-3.1.14.ebuild, procps-3.1.8.ebuild, procps-3.1.9-r1.ebuild,
  procps-3.1.9.ebuild:
  version bump procps to make sure it owns kill and uptime, instead of coreutils

  28 Oct 2003; Chris PeBenito <pebenito@gentoo.org> procps-3.1.11-r1.ebuild,
  procps-3.1.12.ebuild, procps-3.1.13.ebuild, procps-3.1.14.ebuild,
  procps-3.1.8.ebuild, procps-3.1.9.ebuild,
  files/procps-3.1.12-selinux.diff.bz2:
  Switch SELinux patch from old API to new API.

*procps-3.1.14 (22 Oct 2003)

  24 Oct 2003; Martin Holzer <mholzer@gentoo.org> procps-3.1.14.ebuild:
  Version bumped.. Thread support is now fully working in ps. Closes #30514.

  24 Sep 2003; Chris PeBenito <pebenito@gentoo.org> procps-3.1.12.ebuild:
  Fix 3.1.12 SELinux patch.

*procps-2.0.16 (23 Sep 2003)

  23 Sep 2003; Brandon Low <lostlogic@gentoo.org> procps-2.0.16.ebuild:
  Bump the 2.x version of procps because RML and Riel have been doing some work
  on it again.

*procps-3.1.13 (24 Sep 2003)

  24 Sep 2003; Martin Holzer <mholzer@gentoo.org> procps-3.1.13.ebuild:
  Version bumped.

*procps-3.1.12 (23 Sep 2003)

  23 Sep 2003; Martin Holzer <mholzer@gentoo.org> procps-3.1.12.ebuild:
  Version bumped.

*procps-3.1.11-r1 (06 Sep 2003)

  06 Sep 2003; Alastair Tse <liquidx@gentoo.org> procps-3.1.11-r1.ebuild:
  adds one-line patch to fix command line options parsing for top. patch thanks
  to James Harlow <gentoo-bugzilla@james.is.never.wrong.nu> (#26090)

*procps-3.1.11 (14 Jul 2003)

  14 Jul 2003; Brandon Low <lostlogic@gentoo.org> procps-3.1.10.ebuild,
  procps-3.1.11.ebuild:
  Another bump, this one repairs gcc-2.95 functionality

*procps-3.1.10 (13 Jul 2003)

  13 Jul 2003; Brandon Low <lostlogic@gentoo.org> procps-3.1.10.ebuild:
  Bumpage, minor stuff only, moving to stable ... fairly soon

  24 Jun 2003; Aron Griffis <agriffis@gentoo.org> procps-3.1.9.ebuild:
  Mark stable on alpha

*procps-3.1.9 (31 May 2003)

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> procps-3.1.9.ebuild :
  Marked stable on hppa.

  22 Jun 2003; Joshua Kinard <kumba@gentoo.org> procps-3.1.9.ebuild:
  Changed ~sparc & ~mips to sparc & mips

  08 Jun 2003; Todd Berman <tberman@gentoo.org> procps-3.1.8.ebuild,
  procps-3.1.9.ebuild:
  replacing -O3 with -O2 for gcc-3.3

  31 May 2003; Brandon Low <lostlogic@gentoo.org> procps-3.1.9.ebuild:
  Bump

*procps-3.1.8 (20 Mar 2003)

  26 Apr 2003; Christian Birchinger <joker@gentoo.org> procps-3.1.8.ebuild:
  Added stable sparc keyword

  17 Apr 2003; Brandon Low <lostlogic@gentoo.org> procps-3.1.8.ebuild:
  x86 keyword

  22 Mar 2003; Joshua Brindle <Method@gentoo.org> procps-3.1.8.ebuild:
  added selinux support Thanks to sindian

  20 Mar 2003; Brandon Low <lostlogic@gentoo.org> procps-3.1.7.ebuild,
  procps-3.1.7.ebuild, procps-3.1.8.ebuild:
  Minor bug fix over 3.1.7

*procps-3.1.7 (18 Mar 2003)

  18 Mar 2003; Brandon Low <lostlogic@gentoo.org> procps-3.1.7.ebuild:
  Mostly a bugfix release

*procps-3.1.6 (16 Feb 2003)

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> procps-3.1.6.ebuild :
  Marked as testing for mips.

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords.

  16 Feb 2003; Brandon Low <lostlogic@gentoo.org> procps-3.1.6.ebuild :

  Upstream bump, nothing major.

*procps-3.1.5 (21 Dec 2002)

  09 Feb 2003; Seemant Kulleen <seemant@gentoo.org> *.ebuild :

  Changed sed expression delimiters to : where applicable, closing bug
  #15006 by Blu3 <david+gentoo.org@blue-labs.org>

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> :
  Added hppa to keywords.

  21 Dec 2002; Brandon Low <lostlogic@gentoo.org> procps-3.1.5.ebuild :

  Upstream bump...

*procps-3.1.4 (15 Dec 2002)

  15 Dec 2002; Brandon Low <lostlogic@gentoo.org> procps-3.1.4.ebuild :

  Amazing what happens if I report bugs to the right places for us :)
  This release should fix the %CPU reporting, AND the 3 eating bug,
  please test, and if it does, comment on the bug in bugzilla so I 
  can start pushing to move this to stable :)

*procps-3.1.3 (12 Dec 2002)

  12 Dec 2002; Brandon Low <lostlogic@gentoo.org> procps-3.1.3.ebuild :

  You get a big shrug here, Albert doesn't seem to be having the top
  issues some gentoo-ers are, so I'll e-mail him about them later.

*procps-2.0.11 (12 Dec 2002)

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> procps-2.0.11.ebuild :
  Marked as stable for mips.

  12 Dec 2002; Brandon Low <lostlogic@gentoo.org> procps-2.0.11.ebuild
  files/digest-procps-2.0.11 :

  Version bump.  Set keywords to ~.

*procps-3.1.2 (08 Dec 2002)

  08 Dec 2002; Brandon Low <lostlogic@gentoo.org> procps-3.1.2.ebuild :

  Bump, still unstable, but this one adds back in the sorting quick keys
  to top, apparently we weren't the only ones annoyed about it.  
  Keep me updated on quirkiness in this version! :)

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*procps-3.1.1 (20 Nov 2002)

  20 Nov 2002; Brandon Low <lostlogic@gentoo.org> procps-3.1.1.ebuild :

  Bump, still unstable, hopefully Albert will fix the issues people are
  having... please let me know about the quirkyness of the new top.

*procps-3.1.0 (16 Nov 2002)

  16 Nov 2002; Brandon Low <lostlogic@gentoo.org> procps-3.1.0.ebuild :

  Well this should be an interesting experiment.  I'm putting into
  unstable the most recent procps from the sf.net procps project.  This
  procps tree has some very nice new features, and SHOULD actually be
  more stable than the 2.0.X tree we were using which was maintained by
  Rik Van Riel.  The reason we waited until now for this move was that
  some of the features of the gentoo-sources and development-sources
  kernels weren't supported by this procps, HOPEFULLY the sf.net project
  will continue from here on to keep up with support for the latest
  kernel features AND remainthe more stable tree.  

  Of course I also did my usual round of ebuild cleanups that goes 
  with a major version bump.  Enjoy.

  05 Nov 2002; J Robert Ray <jrray@gentoo.org> procps-2.0.10-r1.ebuild :
  Combine both sed calls into one, avoiding attempt to overwrite 0444
  perm'd file (fakeroot issue).

*procps-2.0.10-r1 (31 Oct 2002)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  31 Oct 2002; Brad Cowan <bcowan@gentoo.org> procps-2.0.10-r1.ebuild :
  
  Added einfo about threads default behavior thanks to j2ee.
  
  31 Oct 2002; Brandon Low <lostlogic@gentoo.org> procps-2.0.10-r1.ebuild :

  Fix /lib/libproc.so symlink.

*procps-2.0.10 (11 Oct 2002)

  11 Oct 2002; Brandon Low <lostlogic@gentoo.org> procps-2.0.10.ebuild
  files/digest-procps-2.0.10 :

  Version bump.  Set keywords to ~.

*procps-2.0.9 (30 Sep 2002)

  30 Sep 2002; Brandon Low <lostlogic@gentoo.org> procps-2.0.9.ebuild
  files/digest-procps-2.0.9 :

  New version released today by Rik Van Riel, many patches added from
  the Debian tree and lots of good stuff.
  
*procps-2.0.8 (27 Sep 2002)

  27 Sep 2002; Brad Cowan <bcowan@gentoo.org> procps-2.0.8.ebuild
  files/digest-procps-2.0.8 :
  
  Version bump with many bugfixes. Removed patches as they have been
  added to the main tree

*procps-2.0.7-r6 (26 Sep 2002)

  27 Sep 2002; Daniel Ahlberg <aliz@gentoo.org> :
  Cleaned out old diff files from files/.

  26 Sep 2002; Daniel Ahlberg <aliz@gentoo.org> procps-2.0.7-r6.ebuild :
  Fixed sandbox violation.

*procps-2.0.7-r6 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
